org.keycloak.services.resources.admin

## Class IdentityProvidersResource

- java.lang.Object
- - org.keycloak.services.resources.admin.IdentityProvidersResource

-     public class IdentityProvidersResource
      extends Object

  Author:
    Pedro Igor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdentityProvidersResource(RealmModel realm, KeycloakSession session, AdminPermissionEvaluator auth, AdminEventBuilder adminEvent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `create(IdentityProviderRepresentation representation)` Create a new identity provider
    `IdentityProviderResource` | `getIdentityProvider(String alias)`
    `Stream<IdentityProviderRepresentation>` | `getIdentityProviders()` Get identity providers
    `javax.ws.rs.core.Response` | `getIdentityProviders(String providerId)` Get identity providers
    `Map<String,String>` | `importFrom(Map<String,Object> data)` Import identity provider from JSON body
    `Map<String,String>` | `importFrom(org.jboss.resteasy.plugins.providers.multipart.MultipartFormDataInput input)` Import identity provider from uploaded JSON file

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IdentityProvidersResource

          public IdentityProvidersResource(RealmModel realm,
                                           KeycloakSession session,
                                           AdminPermissionEvaluator auth,
                                           AdminEventBuilder adminEvent)

  - ### Method Detail

    - #### getIdentityProviders

          @Path(value="/providers/{provider_id}")
           @GET
           @Produces(value="application/json")
          public javax.ws.rs.core.Response getIdentityProviders(@PathParam(value="provider_id")
                                                                                                                                                   String providerId)

      Get identity providers
      Parameters:
        `providerId` - Provider id
      Returns:

    - #### importFrom

          @POST
           @Path(value="import-config")
           @Consumes(value="multipart/form-data")
           @Produces(value="application/json")
          public Map<String,String> importFrom(org.jboss.resteasy.plugins.providers.multipart.MultipartFormDataInput input)
                                                                                                                                                         throws IOException

      Import identity provider from uploaded JSON file
      Parameters:
        `input` -
      Returns:
      Throws:
        `IOException`

    - #### importFrom

          @POST
           @Path(value="import-config")
           @Consumes(value="application/json")
           @Produces(value="application/json")
          public Map<String,String> importFrom(Map<String,Object> data)
                                                                                                                                                      throws IOException

      Import identity provider from JSON body
      Parameters:
        `data` - JSON body
      Returns:
      Throws:
        `IOException`

    - #### getIdentityProviders

          @GET
           @Path(value="instances")
           @Produces(value="application/json")
          public Stream<IdentityProviderRepresentation> getIdentityProviders()

      Get identity providers
      Returns:

    - #### create

          @POST
           @Path(value="instances")
           @Consumes(value="application/json")
          public javax.ws.rs.core.Response create(IdentityProviderRepresentation representation)

      Create a new identity provider
      Parameters:
        `representation` - JSON body
      Returns:

    - #### getIdentityProvider

          @Path(value="instances/{alias}")
          public IdentityProviderResource getIdentityProvider(@PathParam(value="alias")
                                                                                               String alias)

Copyright © 2020 JBoss by Red Hat. All rights reserved.